Bug 308051 - [RFE] User Group Support
[RFE] User Group Support
Status: CLOSED EOL
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: rhn-dev-list
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: 414671
  Show dependency treegraph
 
Reported: 2007-09-26 16:50 EDT by Máirín Duffy
Modified: 2017-07-05 11:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-05 11:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2007-09-26 16:50:42 EDT
This bug is a hosted clone of bug 224277.

+++ This bug was initially created as a clone of Bug #224277 +++

It would be really nice if RHN had the concept of User Groups, much like how our
linux boxen treat users/groups and ownwership of files.

You should be able to create ad-hoc groups of users and be able to assign the
group as an admin of system groups.

The case usage is this.  Say we have a department with 12 sys admins and they
have 20 system groups.  Currently, we have to add those 12 people to each system
group.  Instead we would like to be able to create 1 group and then add that to
each system groups admin list.

Then when sys admin leaves or transfers departments, we update the group list
and everything is all set.

I believe this would have positive impacts for rhn-satellite and being then able
to use these groups to control access to kickstarts and other data.

So the equivalent of groupadd, chgrp, and chmod g+rwx  :)

thanks!
Comment 2 daryl herzmann 2008-02-12 10:33:05 EST
Why has there been more activity on the subject line of this ticket than
actually commenting on it?
Comment 3 Thomas "Shea" DeAntonio 2017-07-05 11:23:14 EDT
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).
Comment 4 John T. Rose 2017-07-05 11:40:31 EDT
This same thing applies to the satellite server which isn't EOL. And it really would be a big help for large organizations that aren't centrally managed.

Note You need to log in before you can comment on or make changes to this bug.